Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.auth
Class UserNameStore

    java.lang.Object
      org.jdesktop.beans.AbstractBean
          org.jdesktop.swingx.auth.UserNameStore

Direct Known Subclasses:
  DefaultUserNameStore

    public abstract class UserNameStore

extends AbstractBean

UsernameStore is a class that implements persistence of usernames

Author:
  Bino George, rbair

Constructor Summary
`UserNameStore()`

Method Summary
`abstract void` | `addUserName(java.lang.String userName)` Add a username to the store.
`abstract boolean` | `containsUserName(java.lang.String name)`
`abstract java.lang.String[]` | `getUserNames()` Gets the current list of users.
`abstract void` | `loadUserNames()` lifecycle method for loading names from persistent storage
`abstract void` | `removeUserName(java.lang.String userName)` Removes a username from the list.
`abstract void` | `saveUserNames()` lifecycle method for saving name to persistent storage
`abstract void` | `setUserNames(java.lang.String[] names)`

Methods inherited from class org.jdesktop.beans.AbstractBean
`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, clone, fireIndexedPropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, fireVetoableChange, getPropertyChangeListeners, getPropertyChangeListeners, getVetoableChangeListeners, getVetoableChangeListeners, hasPropertyChangeListeners, hasVetoableChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, removeVetoableChangeListener`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserNameStore

    public UserNameStore()

Method Detail

### getUserNames

    public abstract java.lang.String[] getUserNames()

  Gets the current list of users.

### setUserNames

    public abstract void setUserNames(java.lang.String[] names)

### loadUserNames

    public abstract void loadUserNames()

  lifecycle method for loading names from persistent storage

### saveUserNames

    public abstract void saveUserNames()

  lifecycle method for saving name to persistent storage

### containsUserName

    public abstract boolean containsUserName(java.lang.String name)

### addUserName

    public abstract void addUserName(java.lang.String userName)

  Add a username to the store.

  Parameters:
    `userName` -

### removeUserName

    public abstract void removeUserName(java.lang.String userName)

  Removes a username from the list.

  Parameters:
    `userName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.